
Redmine - Defect #24344

Cannot upload file on an issue

2016-11-14 10:58 - Aniss El Amrani

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.0.7

Description

I got an error message while trying to upload a file into a redmine issue.

I had this in the log file:

----------------------------------

ActionView::Template::Error (5000540775 is out of range for ActiveRecord::Type::Integer with limit 4):

1: <%= "(#{l(:field_private_notes)}) " if @journal.private_notes? -><= l(:text_issue_updated, :id => "##{@issue.id}", :author =>

@journal.user) >

2:

3: < details_to_strings(@journal_details, true).each do |string| ->

4: <= string >

5: < end -%>

6:

lib/redmine/hook.rb:61:in `block (2 levels) in call_hook'

lib/redmine/hook.rb:61:in `each'

lib/redmine/hook.rb:61:in `block in call_hook'

lib/redmine/hook.rb:58:in `tap'

lib/redmine/hook.rb:58:in `call_hook'

lib/redmine/hook.rb:167:in `call_hook'

app/helpers/issues_helper.rb:403:in `show_detail'

app/helpers/issues_helper.rb:321:in `block in details_to_strings'

app/helpers/issues_helper.rb:307:in `each'

app/helpers/issues_helper.rb:307:in `details_to_strings'

app/views/mailer/issue_edit.text.erb:3:in `_app_views_mailer_issue_edit_text_erb__1167367905_73751580'

app/models/mailer.rb:435:in `block in mail'

app/models/mailer.rb:434:in `mail'

app/models/mailer.rb:83:in `issue_edit'

app/models/mailer.rb:447:in `initialize'

config/initializers/10-patches.rb:154:in `deliver'

app/models/mailer.rb:95:in `block (2 levels) in deliver_issue_edit'

app/models/issue.rb:891:in `each_notification'

app/models/mailer.rb:94:in `block in deliver_issue_edit'

app/models/journal.rb:90:in `block in each_notification'

app/models/journal.rb:88:in `each'

app/models/journal.rb:88:in `each_notification'

app/models/mailer.rb:93:in `deliver_issue_edit'

app/models/journal.rb:302:in `send_notification'

app/models/journal.rb:67:in `save'

app/models/issue.rb:1566:in `create_journal'

app/models/issue.rb:175:in `create_or_update'

app/controllers/issues_controller.rb:482:in `block in save_issue_with_child_records'

app/controllers/issues_controller.rb:470:in `save_issue_with_child_records'

app/controllers/issues_controller.rb:180:in `update'

The file I tried to upload was named 5000540775.HTM.

I had to rename the file to FILE5000540775.HTM to be able to upload it.

Thanks in advance.

Regards,
Aniss

History

#1 - 2016-11-14 11:49 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid

Redmine 3.0.7 is not maintained and I cannot reproduce on vanilla 3.3.1.

#2 - 2016-11-15 11:40 - Aniss El Amrani

- File 500000125225544.txt added

#3 - 2016-11-15 11:41 - Aniss El Amrani

Ok,

It will try to upgrade my Redmine version.

Thanks for your help.

Regards,

Aniss

#4 - 2016-11-16 01:46 - Toshi MARUYAMA

- File deleted (500000125225544.txt)

#5 - 2016-11-16 01:46 - Toshi MARUYAMA

- Category deleted (Attachments)
